

// global variable for storing the current language
var language;

// global variable for storing the current language ID
var langID;

// global variable for storing NLS array
var arrayID;

// variables to store language IDs
// if the script finds this string in the URL, it chooses the language associated.
var eng = "?eng";
var por = "?por";
var pol = "?pol";
var ita = "?ita";
var esp = "?esp";
var fra = "?fra";
var ger = "?ger";
var chi = "?chi";
var tch = "?tch";
var jap = "?jap";
var kor = "?kor";
var czn = "?czn";
var tur = "?tur";
var cat = "?cat";
var hun = "?hun";
var rus = "?rus";
var slk = "?slk";
var slv = "?slv";

//the following arrays contain the names of the guides
var arrayGuideName = new Array("SDK and Runtime Environment Guide", "Java Security Guide", "Readmefirst", 
									"RMI-IIOP Guide", "Information for Japanese Users", "License", "Copyright", "Notices");

//the following function chooses the language in which to display the guides, based on the choice the user made in the
//startHere.htm page - the language is selected depending on the URL of the container page (index.en.html?language)
function chooseLanguage() {
    
    loc = parent.location.href; // get URL of the container page, index.en.html
    
    var langPath = new Array;

    //the following if..else block check which language the guides should be displayed in, and sets the variables
    // language, langId, and arrayID to the appropriate values
    if(loc.indexOf(eng) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="en";
        langPath[1]="en";
    }
    else if(loc.indexOf(por) != -1){
        arrayID = arrayGuideName;
        langPath[0]="pt";
        langPath[1]="pt";
    }
    else if(loc.indexOf(ita) != -1){
        arrayID = arrayGuideName;
        langPath[0]="it";
        langPath[1]="it";
    }
    else if(loc.indexOf(esp) != -1){
        arrayID = arrayGuideName;
        langPath[0]="es";
        langPath[1]="es";
    }
    else if(loc.indexOf(fra) != -1){
        arrayID = arrayGuideName;
        langPath[0]="fr";
        langPath[1]="fr";
    }
    else if(loc.indexOf(ger) != -1){
        arrayID = arrayGuideName;
        langPath[0]="de";
        langPath[1]="de";
    }
    else if(loc.indexOf(chi) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hans";
        langPath[1]="zh_Hans";
    }
    else if(loc.indexOf(tch) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hant";
        langPath[1]="zh_Hant";
    }
    else if(loc.indexOf(jap) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="ja";
        langPath[1]="ja";
    }
    else if(loc.indexOf(kor) != -1){
        arrayID = arrayGuideName;
        langPath[0]="ko";
        langPath[1]="ko";
    }
    else if(loc.indexOf(czn) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; // normal guides not translated
        langPath[1]="cs";
    }
    else if(loc.indexOf(tur) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="tr";
    }
    else if(loc.indexOf(pol) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="pl";
    }
    else if(loc.indexOf(cat) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ca";
    }
    else if(loc.indexOf(hun) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="hu";
    }
    else if(loc.indexOf(rus) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ru";
    }
    else if(loc.indexOf(slk) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sk";
    }
    else if(loc.indexOf(slv) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sl";
    }
    
return langPath;

}
    
function createAssocArray(guidesArray) {
    chooseLanguage();
    var twoDimArray = new Array;
    for(i=0; i<guidesArray.length; i++) {
        
        if(guidesArray[i].indexOf("sdkandruntime") != -1) {
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[0];
        }                  
        else if (guidesArray[i].indexOf("securityguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[1];
        }
        else if (guidesArray[i].indexOf("readmefirst") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[2];
        }
        else if (guidesArray[i].indexOf("rmi") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[3];
        }
        else if (guidesArray[i].indexOf("japanese") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[4];
        }   
        else if (guidesArray[i].indexOf("license") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[5];
        }   
        else if (guidesArray[i].indexOf("COPYRIGHT") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[6];
        }   
        else if (guidesArray[i].indexOf("otices") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[7];
        }   
    }
    //alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    return twoDimArray;
}

//the following function writes the TOC in the toc.htm file
//first it calls the function createAssocArray() on an array that has a list of the
//file paths to the various user guides. this results in a 2-dimensional array that has the
//path of the user guide and the name to display in the browser. 
//after writing the opening <UL> tag, this function iterates through the 2-dimensional array to
//create the links to the various user guides
function writeToc(arrayGuidePaths) {
    var twoDim = createAssocArray(arrayGuidePaths); // create 2-dimensional array from array containing user guide paths
    document.write("<UL>"); // write opening <UL> tag
    
    //iterate through 2-dim array and write links in toc.htm file  
    for (i=0; i<twoDim.length; i++){
        document.write("<LI><A href='" + twoDim[i][0] + "' target='Content'>" + twoDim[i][1] + "</A></LI>");
    }
    
    document.write("</UL>"); // write closing </UL> tag

}
        


// SIG // Begin signature block
// SIG // MIIZAAYJKoZIhvcNAQcCoIIY8TCCGO0CAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFCPXffISkKcE
// SIG // aHE6M6OfSrCezNkboIIT+jCCA+4wggNXoAMCAQICEH6T
// SIG // 6/t8xk5Z6kuad9QG/DswDQYJKoZIhvcNAQEFBQAwgYsx
// SIG // CzAJBgNVBAYTAlpBMRUwEwYDVQQIEwxXZXN0ZXJuIENh
// SIG // cGUxFDASBgNVBAcTC0R1cmJhbnZpbGxlMQ8wDQYDVQQK
// SIG // EwZUaGF3dGUxHTAbBgNVBAsTFFRoYXd0ZSBDZXJ0aWZp
// SIG // Y2F0aW9uMR8wHQYDVQQDExZUaGF3dGUgVGltZXN0YW1w
// SIG // aW5nIENBMB4XDTEyMTIyMTAwMDAwMFoXDTIwMTIzMDIz
// SIG // NTk1OVowXjELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5
// SIG // bWFudGVjIENvcnBvcmF0aW9uMTAwLgYDVQQDEydTeW1h
// SIG // bnRlYyBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBIC0g
// SIG // RzIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
// SIG // AQCxrLNJVEuXHBIK2CV5kSJXKm/cuCbEQ3Nrwr8uUFr7
// SIG // FMJ2jkMBJUO0oeJF9Oi3e8N0zCLXtJQAAvdN7b+0t0Qk
// SIG // a81fRTvRRM5DEnMXgotptCvLmR6schsmTXEfsTHd+1Fh
// SIG // AlOmqvVJLAV4RaUvic7nmef+jOJXPz3GktxK+Hsz5HkK
// SIG // +/B1iEGc/8UDUZmq12yfk2mHZSmDhcJgFMTIyTsU2sCB
// SIG // 8B8NdN6SIqvK9/t0fCfm90obf6fDni2uiuqm5qonFn1h
// SIG // 95hxEbziUKFL5V365Q6nLJ+qZSDT2JboyHylTkhE/xni
// SIG // RAeSC9dohIBdanhkRc1gRn5UwRN8xXnxycFxAgMBAAGj
// SIG // gfowgfcwHQYDVR0OBBYEFF+a9W5czMx0mtTdfe8/2+xM
// SIG // gC7dMDIGCCsGAQUFBwEBBCYwJDAiBggrBgEFBQcwAYYW
// SIG // aHR0cDovL29jc3AudGhhd3RlLmNvbTASBgNVHRMBAf8E
// SIG // CDAGAQH/AgEAMD8GA1UdHwQ4MDYwNKAyoDCGLmh0dHA6
// SIG // Ly9jcmwudGhhd3RlLmNvbS9UaGF3dGVUaW1lc3RhbXBp
// SIG // bmdDQS5jcmwwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDgYD
// SIG // VR0PAQH/BAQDAgEGMCgGA1UdEQQhMB+kHTAbMRkwFwYD
// SIG // VQQDExBUaW1lU3RhbXAtMjA0OC0xMA0GCSqGSIb3DQEB
// SIG // BQUAA4GBAAMJm495739ZMKrvaLX64wkdu0+CBl03X6ZS
// SIG // nxaN6hySCURu9W3rWHww6PlpjSNzCxJvR6muORH4KrGb
// SIG // sBrDjutZlgCtzgxNstAxpghcKnr84nodV0yoZRjpeUBi
// SIG // JZZux8c3aoMhCI5B6t3ZVz8dd0mHKhYGXqY4aiISo1EZ
// SIG // g362MIIEozCCA4ugAwIBAgIQDs/0OMj+vzVuBNhqmBsa
// SIG // UDANBgkqhkiG9w0BAQUFADBeMQswCQYDVQQGEwJVUzEd
// SIG // MBsGA1UEChMUU3ltYW50ZWMgQ29ycG9yYXRpb24xMDAu
// SIG // BgNVBAMTJ1N5bWFudGVjIFRpbWUgU3RhbXBpbmcgU2Vy
// SIG // dmljZXMgQ0EgLSBHMjAeFw0xMjEwMTgwMDAwMDBaFw0y
// SIG // MDEyMjkyMzU5NTlaMGIxCzAJBgNVBAYTAlVTMR0wGwYD
// SIG // VQQKExRTeW1hbnRlYyBDb3Jwb3JhdGlvbjE0MDIGA1UE
// SIG // AxMrU3ltYW50ZWMgVGltZSBTdGFtcGluZyBTZXJ2aWNl
// SIG // cyBTaWduZXIgLSBHNDCCASIwDQYJKoZIhvcNAQEBBQAD
// SIG // ggEPADCCAQoCggEBAKJjCzlEuLsjp0RJuw7/ofBhClOT
// SIG // sJjbrSwPSsVu/4Y8U1UPFc4EPyv9qZaW2b5heQtbyUyG
// SIG // duXgQ0sile7CK0PBn9hotI5AT+6FOLkRxSPyZFjwFTJv
// SIG // TlehroikAtcqHs1L4d1j1ReJMluwXplaqJ0oUA4X7pbb
// SIG // YTtFUR3PElYLkkf8q672Zj1HrHBy55LnX80QucSDZJQZ
// SIG // vSWA4ejSIqXQugJ6oXeTW2XD7hd0vEGGKtwITIySjJEt
// SIG // nndEH2jWqHR32w5bMotWizO92WPISZ06xcXqMwvS8aMb
// SIG // 9Iu+2bNXizveBKd6IrIkri7HcMW+ToMmCPsLvalPmQjh
// SIG // EChyqs0CAwEAAaOCAVcwggFTMAwGA1UdEwEB/wQCMAAw
// SIG // FgYDVR0lAQH/BAwwCgYIKwYBBQUHAwgwDgYDVR0PAQH/
// SIG // BAQDAgeAMHMGCCsGAQUFBwEBBGcwZTAqBggrBgEFBQcw
// SIG // AYYeaHR0cDovL3RzLW9jc3Aud3Muc3ltYW50ZWMuY29t
// SIG // MDcGCCsGAQUFBzAChitodHRwOi8vdHMtYWlhLndzLnN5
// SIG // bWFudGVjLmNvbS90c3MtY2EtZzIuY2VyMDwGA1UdHwQ1
// SIG // MDMwMaAvoC2GK2h0dHA6Ly90cy1jcmwud3Muc3ltYW50
// SIG // ZWMuY29tL3Rzcy1jYS1nMi5jcmwwKAYDVR0RBCEwH6Qd
// SIG // MBsxGTAXBgNVBAMTEFRpbWVTdGFtcC0yMDQ4LTIwHQYD
// SIG // VR0OBBYEFEbGaaMOShQe1UzaUmMXP142vA3mMB8GA1Ud
// SIG // IwQYMBaAFF+a9W5czMx0mtTdfe8/2+xMgC7dMA0GCSqG
// SIG // SIb3DQEBBQUAA4IBAQB4O7SRKgBM8I9iMDd4o4QnB28Y
// SIG // st4l3KDUlAOqhk4ln5pAAxzdzuN5yyFoBtq2MrRtv/Qs
// SIG // JmMz5ElkbQ3mw2cO9wWkNWx8iRbG6bLfsundIMZxD82V
// SIG // dNy2XN69Nx9DeOZ4tc0oBCCjqvFLxIgpkQ6A0RH83Vx2
// SIG // bk9eDkVGQW4NsOo4mrE62glxEPwcebSAe6xp9P2ctgwW
// SIG // K/F/Wwk9m1viFsoTgW0ALjgNqCmPLOGy9FqpAa8VnCwv
// SIG // SRvbIrvD/niUUcOGsYKIXfA9tFGheTMrLnu53CAJE3Hr
// SIG // ahlbz+ilMFcsiUk/uc9/yb8+ImhjU5q9aXSsxR08f5Lg
// SIG // w7wc2AR1MIIFTzCCBDegAwIBAgIQRXN25HeQtDgyqNA2
// SIG // IaHU+zANBgkqhkiG9w0BAQUFADCBtDELMAkGA1UEBhMC
// SIG // VVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYD
// SIG // VQQLExZWZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTswOQYD
// SIG // VQQLEzJUZXJtcyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cu
// SIG // dmVyaXNpZ24uY29tL3JwYSAoYykxMDEuMCwGA1UEAxMl
// SIG // VmVyaVNpZ24gQ2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAx
// SIG // MCBDQTAeFw0xNDA4MjcwMDAwMDBaFw0xNzEwMjUyMzU5
// SIG // NTlaMIGAMQswCQYDVQQGEwJHQjESMBAGA1UECBMJSGFt
// SIG // cHNoaXJlMRMwEQYDVQQHEwpQT1JUU01PVVRIMSMwIQYD
// SIG // VQQKFBpJQk0gVW5pdGVkIEtpbmdkb20gTGltaXRlZDEj
// SIG // MCEGA1UEAxQaSUJNIFVuaXRlZCBLaW5nZG9tIExpbWl0
// SIG // ZWQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
// SIG // AQDfVOS02+UpOT/DT/+Ohnmuyr9EoRuyaS5P1KpxXlJM
// SIG // vn01HvSX0JmleULVExKRypkgG7NCJiySGWqfGJI3cQMc
// SIG // sdG2A26w3+/rm7lNFKYOTg5Jglziulyoe7yDlcUbWMGI
// SIG // aZFxWdQvJi6jGXO33B9Z8/thEo7Q1qe8SJ0uMbY6U9mG
// SIG // ppU0zSoOh76IrnTwVw7AXCiTTC4+Y5n4KWlbi0zLCqow
// SIG // IwnRUD6qpcjTuQG6cxqhrKxyR3thGXFt0pOzMI4oxwXV
// SIG // gFimG+zvRQqT9u6tAyEMlRaS9IWRi/ivHa+oRL7WOucK
// SIG // kXnqYtFyQtJ/U3J8PHsxYHAB+y4OHLlKpUapAgMBAAGj
// SIG // ggGNMIIBiTAJBgNVHRMEAjAAMA4GA1UdDwEB/wQEAwIH
// SIG // gDArBgNVHR8EJDAiMCCgHqAchhpodHRwOi8vc2Yuc3lt
// SIG // Y2IuY29tL3NmLmNybDBmBgNVHSAEXzBdMFsGC2CGSAGG
// SIG // +EUBBxcDMEwwIwYIKwYBBQUHAgEWF2h0dHBzOi8vZC5z
// SIG // eW1jYi5jb20vY3BzMCUGCCsGAQUFBwICMBkWF2h0dHBz
// SIG // Oi8vZC5zeW1jYi5jb20vcnBhMBMGA1UdJQQMMAoGCCsG
// SIG // AQUFBwMDMFcGCCsGAQUFBwEBBEswSTAfBggrBgEFBQcw
// SIG // AYYTaHR0cDovL3NmLnN5bWNkLmNvbTAmBggrBgEFBQcw
// SIG // AoYaaHR0cDovL3NmLnN5bWNiLmNvbS9zZi5jcnQwHwYD
// SIG // VR0jBBgwFoAUz5mp6nsm9EvJjo/X8AUm7+PSp50wHQYD
// SIG // VR0OBBYEFK9akNEVUrkqZTjelbCLIlBbQSdpMBEGCWCG
// SIG // SAGG+EIBAQQEAwIEEDAWBgorBgEEAYI3AgEbBAgwBgEB
// SIG // AAEB/zANBgkqhkiG9w0BAQUFAAOCAQEAt/m4JjoSIZ1y
// SIG // w9mKxsm11MR3HoFWapiR4K878STZmh4YiCE8MuiecJGL
// SIG // M3DhLsE+nHY6kxlf4ulsDW17j67Q3vImAG0X5wyvEUf3
// SIG // HWybw6MRKtjJiujgNM5ALY+AQaelSkNQdvBCcL1Y5RwC
// SIG // iGB5E2eNba/iUpctpM0fzJEicYKaoazcSgZsRTq4iTrx
// SIG // imbaE2xarJ1BsC5AKTkB627O3tE5ZSNf+UxzUQfFf4yX
// SIG // BSxO35K12GOvUzN1ykfC4s2oxToogJ9Tu6CzdjI+MBoF
// SIG // Z+ZxM3mMwlV2d2ngarM5N0MQP9C0NordZte+bsUFc/x1
// SIG // fgYsO9DCq7EbY3af+ZBLFzCCBgowggTyoAMCAQICEFIA
// SIG // 5aolVvwahu2WydRLM8cwDQYJKoZIhvcNAQEFBQAwgcox
// SIG // CzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwg
// SIG // SW5jLjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1c3QgTmV0
// SIG // d29yazE6MDgGA1UECxMxKGMpIDIwMDYgVmVyaVNpZ24s
// SIG // IEluYy4gLSBGb3IgYXV0aG9yaXplZCB1c2Ugb25seTFF
// SIG // MEMGA1UEAxM8VmVyaVNpZ24gQ2xhc3MgMyBQdWJsaWMg
// SIG // UHJpbWFyeSBDZXJ0aWZpY2F0aW9uIEF1dGhvcml0eSAt
// SIG // IEc1MB4XDTEwMDIwODAwMDAwMFoXDTIwMDIwNzIzNTk1
// SIG // OVowgbQxCzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJp
// SIG // U2lnbiwgSW5jLjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1
// SIG // c3QgTmV0d29yazE7MDkGA1UECxMyVGVybXMgb2YgdXNl
// SIG // IGF0IGh0dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9ycGEg
// SIG // KGMpMTAxLjAsBgNVBAMTJVZlcmlTaWduIENsYXNzIDMg
// SIG // Q29kZSBTaWduaW5nIDIwMTAgQ0EwggEiMA0GCSqGSIb3
// SIG // DQEBAQUAA4IBDwAwggEKAoIBAQD1I0tepdeKuzLp1Ff3
// SIG // 7+THJn6tGZj+qJ19lPY2axDXdYEwfwRof8srdR7NHQiM
// SIG // 32mUpzejnHuA4Jnh7jdNX847FO6G1ND1JzW8JQs4p4xj
// SIG // nRejCKWrsPvNamKCTNUh2hvZ8eOEO4oqT4VbkAFPyad2
// SIG // EH8nA3y+rn59wd35BbwbSJxp58CkPDxBAD7fluXF5JRx
// SIG // 1lUBxwAmSkA8taEmqQynbYCOkCV7z78/HOsvlvrlh3fG
// SIG // tVayejtUMFMb32I0/x7R9FqTKIXlTBdOflv9pJOZf9/N
// SIG // 76R17+8V9kfn+Bly2C40Gqa0p0x+vbtPDD1X8TDWpjaO
// SIG // 1oB21xkupc1+NC2JAgMBAAGjggH+MIIB+jASBgNVHRMB
// SIG // Af8ECDAGAQH/AgEAMHAGA1UdIARpMGcwZQYLYIZIAYb4
// SIG // RQEHFwMwVjAoBggrBgEFBQcCARYcaHR0cHM6Ly93d3cu
// SIG // dmVyaXNpZ24uY29tL2NwczAqBggrBgEFBQcCAjAeGhxo
// SIG // dHRwczovL3d3dy52ZXJpc2lnbi5jb20vcnBhMA4GA1Ud
// SIG // DwEB/wQEAwIBBjBtBggrBgEFBQcBDARhMF+hXaBbMFkw
// SIG // VzBVFglpbWFnZS9naWYwITAfMAcGBSsOAwIaBBSP5dMa
// SIG // hqyNjmvDz4Bq1EgYLHsZLjAlFiNodHRwOi8vbG9nby52
// SIG // ZXJpc2lnbi5jb20vdnNsb2dvLmdpZjA0BgNVHR8ELTAr
// SIG // MCmgJ6AlhiNodHRwOi8vY3JsLnZlcmlzaWduLmNvbS9w
// SIG // Y2EzLWc1LmNybDA0BggrBgEFBQcBAQQoMCYwJAYIKwYB
// SIG // BQUHMAGGGGh0dHA6Ly9vY3NwLnZlcmlzaWduLmNvbTAd
// SIG // BgNVHSUEFjAUBggrBgEFBQcDAgYIKwYBBQUHAwMwKAYD
// SIG // VR0RBCEwH6QdMBsxGTAXBgNVBAMTEFZlcmlTaWduTVBL
// SIG // SS0yLTgwHQYDVR0OBBYEFM+Zqep7JvRLyY6P1/AFJu/j
// SIG // 0qedMB8GA1UdIwQYMBaAFH/TZafC3ey78DAJ80M5+gKv
// SIG // MzEzMA0GCSqGSIb3DQEBBQUAA4IBAQBWIuY0pMRhy0i5
// SIG // Aa1WqGQP2YyRxLvMDOWteqAif99HOEotbNF/cRp87HCp
// SIG // sfBP5A8MU/oVXv50mEkkhYEmHJEUR7BMY4y7oTTUxkXo
// SIG // DYUmcwPQqYxkbdxxkuZFBWAVWVE5/FgUa/7UpO15awgM
// SIG // QXLnNyIGCb4j6T9Emh7pYZ3MsZBc/D3SjaxCPWU21LQ9
// SIG // QCiPmxDPIybMSyDLkB9djEw0yjzY5TfWb6UgvTTrJtmu
// SIG // DefFmvehtCGRM2+G6Fi7JXx0Dlj+dRtjP84xfJuPG5ae
// SIG // xVN2hFucrZH6rO2Tul3IIVPCglNjrxINUIcRGz1UUpaK
// SIG // LJw9khoImgUux5OlSJHTMYIEcjCCBG4CAQEwgckwgbQx
// SIG // CzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwg
// SIG // SW5jLjEfMB0GA1UECxMWVmVyaVNpZ24gVHJ1c3QgTmV0
// SIG // d29yazE7MDkGA1UECxMyVGVybXMgb2YgdXNlIGF0IGh0
// SIG // dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9ycGEgKGMpMTAx
// SIG // LjAsBgNVBAMTJVZlcmlTaWduIENsYXNzIDMgQ29kZSBT
// SIG // aWduaW5nIDIwMTAgQ0ECEEVzduR3kLQ4MqjQNiGh1Psw
// SIG // CQYFKw4DAhoFAKBwMBAGCisGAQQBgjcCAQwxAjAAMBkG
// SIG // CSqGSIb3DQEJAzEMBgorBgEEAYI3AgEEMBwGCisGAQQB
// SIG // gjcCAQsxDjAMBgorBgEEAYI3AgEVMCMGCSqGSIb3DQEJ
// SIG // BDEWBBRusopv+y4z3BmF2m1BhZqZPD7n7jANBgkqhkiG
// SIG // 9w0BAQEFAASCAQAxT4+8kIXoSdvcz3J7SjRKxxTCzFMG
// SIG // 6SSizxyX4ripUFzKR+md6WtkpQzy6NCF8L9jl3RTrtiu
// SIG // r85RJx2CFoTSaGvbSbVTRkZ1PS43+o2c3MsJn2zu21oj
// SIG // tc/2em6XH7tVx5urbs1+FK+ffv6PIRKBIf7ZECYjUWfJ
// SIG // QjYsHp3AnEQqXlYYLhGvoWadHYK0ZQKZrtKJ5oiBRwK1
// SIG // 0TzlUuSewp7wKSzTcDSHkN3xACbvPV7m0F6zQHLRMvym
// SIG // g4k2dhFs1+ZiCsmmd1+klRYndeEpATeijywsxUJ+MRyU
// SIG // z2V/qZUqCHLudSmX8kPyicLeoMQ4VLEcfYjZyDyyuzn7
// SIG // WyzooYICCzCCAgcGCSqGSIb3DQEJBjGCAfgwggH0AgEB
// SIG // MHIwXjELMAkGA1UEBhMCVVMxHTAbBgNVBAoTFFN5bWFu
// SIG // dGVjIENvcnBvcmF0aW9uMTAwLgYDVQQDEydTeW1hbnRl
// SIG // YyBUaW1lIFN0YW1waW5nIFNlcnZpY2VzIENBIC0gRzIC
// SIG // EA7P9DjI/r81bgTYapgbGlAwCQYFKw4DAhoFAKBdMBgG
// SIG // CSqGSIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcN
// SIG // AQkFMQ8XDTE1MDcwMTA5NDgyOFowIwYJKoZIhvcNAQkE
// SIG // MRYEFENZNOTTuj2tVhIbJumOL/I99pAjMA0GCSqGSIb3
// SIG // DQEBAQUABIIBAGlychVim5Mne3YkgZO1CIMil2lw3E+R
// SIG // 3kuzFIRd0hicAfqh+GFKgTOeAywPBgQjlY1G8HVUcwuK
// SIG // 2UL6bQB5OAyciXUmeHQCth/lrHis7kCaUs0SKBHFf8Ud
// SIG // 3HDQzxgmBSKgO3stTAy+WXvLB0gKjW/yIw/4Vt7uBMP3
// SIG // +qx/S/jgfmI/rOOlFTgoR7vi6LxOnbeNSul3q2+HEKIg
// SIG // 97cepUAq2yFaDAvkxeSd1vL/xoDp1dok3/zYQd+KzB3T
// SIG // nOmfM4NK3y+VI8nFbi1iilS7+B3qqywkWIkOQunCbpmT
// SIG // JRrYYzsy41Emn8976enI87z+y9SSE1CBnn9EmKmO8JH3Dpc=
// SIG // End signature block
